Bug 412051 - mount nfs problem
mount nfs problem
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-12-05 09:23 EST by Cedric Porte
Modified: 2008-08-01 12:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-01 12:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cedric Porte 2007-12-05 09:23:49 EST
Description of problem:
We had updated mount rpm from mount-2.11y-31.11 to mount-2.11y-31.24.i386.rpm.
After this it was impossible to mount a NFS files system.

Version-Release number of selected component (if applicable):

How reproducible:
Always, just install the package mount-2.11y-31.24.i386.rpm

Steps to Reproduce:
1. Install package mount-2.11y-31.24.i386.rpm
2. try to mount nfs file system

Actual results:
pmap_getmaps rpc problem: RPC: Timed out
pmap_getmaps rpc problem: RPC: Timed out
mount: nfs server reported service unavailable

Expected results:
Files system mounted

Additional info:
An install of my old package resolved the problem.
rpm -ivh --force mount-2.11y-31.11.i386.rpm
Mount NFS file system work well after this,
Comment 1 Jeff Layton 2008-03-27 10:58:17 EDT
I've not been able to reproduce this at all:

# uname -a
Linux rhel3.example.com 2.4.21-53.EL #1 Wed Nov 14 03:54:27 EST 2007 i686 athlon
i386 GNU/Linux

# rpm -q mount

# mount -t nfs server:/export/repo /mnt/server ; echo $?

...and the mount works just fine. Are you still able to reproduce this? If so,
could you try stracing the mount so that we can see where it might be falling down?

Something like this:

# strace -T -t -f -s 256 -v -o /tmp/mount.strace mount server:/foo/bar /mnt/foo

...and then attach /tmp/mount.strace to this case.
Comment 2 Jeff Layton 2008-08-01 12:50:16 EDT
No response in several months. Closing with a resolution of INSUFFICIENT_DATA.
Please reopen if you're able to provide the info requested...

Note You need to log in before you can comment on or make changes to this bug.